Application: gvSIG desktop - gvSIG bugs #2259

Creacion de CRS de usuario
01/29/2014 02:03 PM - José Vicente Higon

CRS Usuario \\ Datum \ Sistema de Coordenadas‘\

() A partir de definiciones de usuario
() A partir de un CRS Existente

(%) & partir de una cadena wkt

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: CRS

Target version: 2.1.0-2221-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2217 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

En primer lugar, al intentar crear un nuevo CRS a partir de un WKT, el textarea es demasiado pequefio:

£ Definicion de un nuevo CRS por el usuario
| Cancelar | | Siguiente | | Finalizar |

Aunque es posible afiadir la cadena de texto y se puede indicar que es el EPSG:3857
# Definicion de un nuevo CRS por el usuario

CRS Usuario ' Datum \ Sistema de Coordenadas\

Nombre: |EPSG | codigo: |3857 |

Datum
Mombre del Datum

|F'opuIar_VisuaIisation_Datum | |_|
Elipsoide —

MNombre del Elipsoide

|P0pu|ar Visualisation Sphere | |:|

Definir por a, inv_f ®a b
Semigje Mayor ... |63?813?.0 | |Metros -
Inverso del Apl... |Infinity |

Semieje Menor ... |6378137.0 |

Meridiano
Mombre del Me... |Greenwich | |:|
Longitud |0.0 | |grados '|

| Cancelar | | Anteriar | | Siguiente | | Finalizar |

queda finalmente como USR:1. Ademas aparece la siguiente excepcion

Cadena WKT no ha podido ser parseada
java.text.ParseException: Error in "SPHEROID": Parameter "inverseFlattening” is missing.
at org.geotools.referencing.wkt.Element.pullDouble(Element.java:379)
at org.geotools.referencing.wkt.Parser.parseSpheroid(Parser.java:518)
at org.geotools.referencing.wkt.Parser.parseDatum(Parser.java:622)
at org.geotools.referencing.wkt.Parser.parseGeoGCS(Parser.java:825)
at org.geotools.referencing.wkt.Parser.parseProjCS(Parser.java:861)
at org.geotools.referencing.wkt.Parser.parseCoordinateReferenceSystem(Parser.java:269)
at org.geotools.referencing.wkt.Parser.parseCoordinateReferenceSystem(Parser.java:250)
at es.idr.teledeteccion.connection.usr.FactoryUsingHSQL.createCoordinateReferenceSystem(FactoryUsingHSQL .java:156)
at es.idr.teledeteccion.connection.usr.FactoryUsingHSQL.createObject(FactoryUsingHSQL.java:229)
at org.geotools.referencing.CRS.decode(CRS.java:220)
at org.gvsig.crs.repository.UsrRepositoryGT.getCrs(UsrRepositoryGT.java:20)
at org.gvsig.crs.CrsFactory.getCRS(CrsFactory.java:130)
at org.gvsig.crs.gui.panels.NewCRSPanel.getProjection(NewCRSPanel.java:730)
at org.gvsig.crs.gui.CRSMainPanel.getProjection(CRSMainPanel.java:305)
at org.gvsig.crs.gui.CRSSelectionDialog.getProjection(CRSSelectionDialog.java: 154)
at org.gvsig.crs.gui.panels.ProjChooserPanel$1.actionPerformed(ProjChooserPanel.java:144)
at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:252)
at java.awt.Component.processMouseEvent(Component.java:6389)
at javax.swing.JComponent.processMouseEvent(JComponent.java:3268)
at java.awt.Component.processEvent(Component.java:6154)
at java.awt.Container.processEvent(Container.java:2045)
at java.awt.Component.dispatchEventlmpl(Component.java:4750)
at java.awt.Container.dispatchEventImpl(Container.java:2103)
at java.awt.Component.dispatchEvent(Component.java:4576)

at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4633)

at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4297)

at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4227)

at java.awt.Container.dispatchEventImpl(Container.java:2089)

at java.awt.Window.dispatchEventimpl(Window.java:2518)

at java.awt.Component.dispatchEvent(Component.java:4576)

at java.awt.EventQueue.dispatchEventimpl(EventQueue.java:672)

at java.awt.EventQueue.access$400(EventQueue.java:96)

at java.awt.EventQueue$2.run(EventQueue.java:631)

at java.awt.EventQueue$2.run(EventQueue.java:629)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(AccessControlContext.java:105)
at java.security.AccessControlContext$1.dolntersectionPrivilege(AccessControlContext.java:116)
at java.awt.EventQueue$3.run(EventQueue.java:645)

at java.awt.EventQueue$3.run(EventQueue.java:643)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(AccessControlContext.java:105)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:642)

at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)

at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)

at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)

at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)

at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)

at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)

at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

Por otra parte se echa en falta el sistema de coordenadas EPSG:3857 por defecto en el sistema (y EPSG:900913 por compatibilidad
con otros software).

El WKT del CRS que se quiere crear es el siguiente:

PROJCS["WGS 84 / Pseudo-Mercator",GEOGCS["Popular Visualisation

CRS",DATUM["Popular_Visualisation_Datum",SPHEROID["Popular Visualisation
Sphere",6378137,0,AUTHORITY["EPSG","7059"]], TOWGS84[0,0,0,0,0,0,0), AUTHORITY["EPSG","6055"]],PRIMEM["Greenwich",0
h",0,AUTHORITY["EPSG","8901"]],UNIT["degree",0.01745329251994328 AUTHORITY["EPSG","9122"]], AUTHORITY["EPSG","40
,"4055"]],UNIT["metre",1,AUTHORITY["EPSG","9001"]], PROJECTION["Mercator_1SP"],PARAMETER]["central_meridian",0],PARA
RAMETER["scale_factor",1],PARAMETER["false_easting",0],PARAMETER]["false_northing",0],AUTHORITY['"EPSG","3785"],AXIS]|
XIS["X",EAST],AXIS["Y",NORTH]]

AUTH
5577, Ul
METEF
X" EA!

History

#1 - 01/29/2014 02:29 PM - Alvaro Anguix
- Target version set to 2.1.0-2223-rc1

Lo del 3857 lo tienes explicado aqui: https://devel.gvsig.org/redmine/issues/2205

Ten en cuenta que si tienes la extension de OSM lo crea directamente.
https://devel.gvsig.org/redmine/issues/2205

Y de todos modos ya esta registrado como feature:

https://devel.gvsig.org/redmine/issues/1371

Por cierto, he probado y a mi se me ve bien la ventana y el textarea. Uso también Ubuntu; no sé que configuracién hace que a ti te salga asi.

#2 - 01/29/2014 04:40 PM - José Vicente Higon

Alvaro Anguix wrote:

Lo del 3857 lo tienes explicado aqui: https.//devel.qvsig.org/redmine/issues/2205

Ten en cuenta que si tienes la extension de OSM lo crea directamente.

Vaya, no habia visto ese ticket.

Y de todos modos ya esta registrado como feature:

https.//devel.qvsig.org/redmine/issues/1371

Por cierto, he probado y a mi se me ve bien la ventana y el textarea. Uso también Ubuntu; no sé que configuracion hace que a ti te salga asi.

Si utilizas Linux lo Gnico que se me ocurre que pueda diferenciarse es la JVM que en mi caso es OpenJDK-6 que viene con el sistema

#3 - 02/01/2014 12:07 PM - Alvaro Anguix
- Assignee set to Juan Lucas Dominguez
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2221-testing

#4 - 02/25/2014 12:48 PM - Alvaro Anguix

- Status changed from New to Awaiting response

Chevy, con la 2220 y las librerias de 64 bits que comentamos habia que instalar...;te sigue saliendo mal la ventana?

#5 - 03/06/2014 02:12 PM - Alvaro Anguix
- Target version changed from 2.1.0-2221-testing to 2.2.0-2311-rc2

Lo paso post. 2.1 y cuando compruebes lo cerramos o dejamos abierto.

#6 - 03/06/2014 04:29 PM - José Vicente Higon

Alvaro Anguix wrote:

Chevy, con la 2220 y las librerias de 64 bits que comentamos habia que instalar... ¢ te sigue saliendo mal la ventana?

Efectivamente, la ventana se ve bien.
https://devel.gvsig.org/redmine/issues/1371
https://devel.gvsig.org/redmine/issues/2205
https://devel.gvsig.org/redmine/issues/1371

#7 - 03/06/2014 05:12 PM - Alvaro Anguix
- Status changed from Awaiting response to Fixed
- Target version changed from 2.2.0-2311-rc2 to 2.1.0-2221-testing

#8 - 03/09/2014 11:32 PM - Alvaro Anguix
- Status changed from Fixed to Closed
